org.apache.ignite.internal.visor.query

## Class VisorQueryEntity

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorQueryEntity

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorQueryEntity
    extends VisorDataTransferObject

Data transfer object for `QueryEntity`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryEntity()` Create data transfer object for given cache type metadata.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Map<String,String>` `getAliases()`
`List<VisorQueryIndex>` `getGroups()`
`String` `getKeyFieldName()`
`List<String>` `getKeyFields()`
`String` `getKeyType()`
`Map<String,String>` `getQueryFields()`
`String` `getTableName()`
`String` `getValueFieldName()`
`String` `getValueType()`
`static List<VisorQueryEntity>` `list(Collection<QueryEntity> qryEntities)`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryEntity

    public VisorQueryEntity()

Create data transfer object for given cache type metadata.

### Method Detail

#### list

    public static List<VisorQueryEntity> list(Collection<QueryEntity> qryEntities)

Parameters:
  `qryEntities` - Collection of query entities.
Returns:
  Data transfer object for query entities.

#### getKeyType

    public String getKeyType()

Returns:
  Key class used to store key in cache.

#### getValueType

    public String getValueType()

Returns:
  Value class used to store value in cache.

#### getKeyFields

    public List<String> getKeyFields()

Returns:
  Key fields.

#### getQueryFields

    public Map<String,String> getQueryFields()

Returns:
  Fields to be queried, in addition to indexed fields.

#### getAliases

    public Map<String,String> getAliases()

Returns:
  Field aliases.

#### getTableName

    public String getTableName()

Returns:
  Table name.

#### getKeyFieldName

    public String getKeyFieldName()

Returns:
  Key name. Can be used in field list to denote the key as a whole.

#### getValueFieldName

    public String getValueFieldName()

Returns:
  Value name. Can be used in field list to denote the entire value.

#### getGroups

    public List<VisorQueryIndex> getGroups()

Returns:
  Fields to create group indexes for.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020